#!/usr/bin/perl

package LocIP::Database;

use strict;
use DBI;
use Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(&database_connect);

sub database_connect {
    # pripoji sa do SQLite databazy v zadanom subore:
    my ($dir) = $0 =~ /(.*)\//;
    if ($dir) { $dir .= "/"; }
    my $dbh = DBI->connect("dbi:SQLite:dbname=".$dir."geo_data.db","","");
    
    # prida definiciu vlastneho operatora REGEXP do SQLite:
    $dbh->func('regexp', 2, sub {
        my ($regex, $string) = @_;
        return $string =~ /\b$regex\b/i;
    }, 'create_function');
    
    # prida definiciu funkcie sqrt - odmocnina:
    $dbh->func('sqrt', 1, sub {
        my ($num) = @_;
        return sqrt($num);
    }, 'create_function');
    
    return $dbh;
}

1;
